For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Return Order
      • PUTEdit Return Order
      • POSTCancel Return order
      • GETGet Return Orders
      • POSTCreate Return Order
LogoLogo
API ReferenceReturns

Get Return Orders

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2026-01/return
GET
/2026-01/return
$curl -G https://sandbox-api.shipbob.com/2026-01/return \
> -H "Authorization: Bearer <token>" \
> -d Ids=string \
> -d ReferenceIds=string \
> -d Status=string \
> -d FulfillmentCenterIds=string \
> -d TrackingNumbers=string \
> -d OriginalShipmentIds=string \
> -d InventoryIds=string \
> --data-urlencode StartDate=2019-08-24T14:15:22+00:00 \
> --data-urlencode EndDate=2019-08-24T14:15:22+00:00 \
> -d ReturnTypes=string \
> -d ReturnActions=string \
> -d StoreOrderIds=string \
> -d Sortby=string \
> --data-urlencode CompletedStartDate=2019-08-24T14:15:22+00:00 \
> --data-urlencode CompletedEndDate=2019-08-24T14:15:22+00:00 \
> -d Cursor=1 \
> -d Limit=25
1{
2 "first": "http://example.com",
3 "items": [
4 {
5 "arrived_date": "2019-08-24T14:15:22+00:00",
6 "awaiting_arrival_date": "2019-08-24T14:15:22+00:00",
7 "cancelled_date": "2019-08-24T14:15:22+00:00",
8 "channel": {
9 "id": 0,
10 "name": "string"
11 },
12 "completed_date": "2019-08-24T14:15:22+00:00",
13 "customer_name": "string",
14 "fulfillment_center": {
15 "id": 0,
16 "name": "string"
17 },
18 "id": 0,
19 "insert_date": "2019-08-24T14:15:22+00:00",
20 "inventory": [
21 {
22 "action_requested": {
23 "action": "string",
24 "action_type": "string",
25 "instructions": "string"
26 },
27 "action_taken": [
28 {
29 "action": "string",
30 "action_reason": "string",
31 "image_url": "http://example.com",
32 "quantity_processed": 0
33 }
34 ],
35 "barcodes": [
36 "string"
37 ],
38 "id": 0,
39 "lot_information": {
40 "expiration": "2019-08-24T14:15:22+00:00",
41 "minimumShelfLife": 0,
42 "number": "string"
43 },
44 "name": "string",
45 "quantity": 0,
46 "sku": "string"
47 }
48 ],
49 "invoice": {
50 "amount": 0.1,
51 "currency_code": "string"
52 },
53 "original_shipment_id": 0,
54 "processing_date": "2019-08-24T14:15:22+00:00",
55 "reference_id": "string",
56 "return_type": "string",
57 "shipment_tracking_number": "string",
58 "status": "string",
59 "status_history": [
60 {
61 "status": "string",
62 "timestamp": "2019-08-24T14:15:22+00:00"
63 }
64 ],
65 "store_order_id": "string",
66 "tracking_number": "string",
67 "transactions": [
68 {
69 "amount": 0.1,
70 "transaction_type": "string"
71 }
72 ]
73 }
74 ],
75 "last": "http://example.com",
76 "next": "http://example.com",
77 "prev": "http://example.com"
78}
Retrieves a paginated list of return orders with optional filters for IDs, statuses, dates, and other criteria. Use this to track all returns across your ShipBob account.
Was this page helpful?
Previous

Cancel Return order

Next

Create Return Order

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Headers

shipbob_channel_idintegerOptional
Channel Id for operation

Query parameters

IdsstringOptional

The IDs of the returns to fetch. Accepts a comma-separated list of return IDs (e.g., 123,456,789).

ReferenceIdsstringOptional

Comma-separated list of return reference IDs (RMA numbers) to filter by.

StatusstringOptional

Comma-separated list of return statuses to filter by (e.g., AwaitingArrival, Arrived, Processing, Completed, Cancelled).

FulfillmentCenterIdsstringOptional

Comma-separated list of fulfillment center IDs to filter by.

TrackingNumbersstringOptional

Comma-separated list of tracking numbers to filter by.

OriginalShipmentIdsstringOptional

Comma-separated list of original shipment IDs to filter by.

InventoryIdsstringOptional

Comma-separated list of inventory IDs to filter by.

StartDatedatetimeOptional

Filter returns created on or after this date (ISO 8601 format).

EndDatedatetimeOptional

Filter returns created on or before this date (ISO 8601 format).

ReturnTypesstringOptional

Comma-separated list of return types to filter by (e.g., Regular, ReturnToSender).

ReturnActionsstringOptional

Comma-separated list of return actions to filter by (e.g., Restock, Quarantine, Dispose).

StoreOrderIdsstringOptional

Comma-separated list of store order IDs to filter by.

SortbystringOptional
Field to sort results by.
CompletedStartDatedatetimeOptional

Filter returns completed on or after this date (ISO 8601 format).

CompletedEndDatedatetimeOptional

Filter returns completed on or before this date (ISO 8601 format).

CursorintegerOptional1-2147483647
Page number to retrieve. Used for pagination through result sets.
LimitintegerOptional
Maximum number of records to return per page.
SortOrderenumOptional

Sort order for results. Desc = newest to oldest, Asc = oldest to newest, Desc is default

Allowed values:

Response headers

Page-Numberstring
Current page number
Total-Pagesstring
Total pages
Total-Countstring
Total records
Page-Sizestring
Page size

Response

OK
firststringformat: "uri"
Return url for first cursor
itemslist of objects
Return records
laststringformat: "uri"
Return url for last cursor
nextstringformat: "uri"
Return url for next cursor
prevstringformat: "uri"
Return url for prev cursor

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error